com.pivotal.gemfirexd.thrift.internal

## Class ClientClob

- java.lang.Object
- - com.pivotal.gemfirexd.thrift.internal.ClientClob

All Implemented Interfaces:
  Clob

    public class ClientClob
    extends Object
    implements Clob

### Field Summary

Fields
`protected ClientFinalizer` `finalizer`
`protected long` `length`
`protected int` `lobId`
`protected ClientService` `service`
`protected boolean` `streamedInput`
`protected long` `streamOffset`

### Method Summary

Methods
`protected long` `checkOffset(long offset, long length)`
`protected void` `clear()`
`void` `free()`
`InputStream` `getAsciiStream()`
`Reader` `getCharacterStream()`
`Reader` `getCharacterStream(long pos, long length)`
`protected long` `getLength()`
`protected HostConnection` `getLobSource(boolean throwOnFailure, String op)`
`String` `getSubString(long pos, int length)`
`long` `length()`
`long` `position(Clob searchstr, long start)`
`long` `position(String searchstr, long start)`
`OutputStream` `setAsciiStream(long pos)`
`Writer` `setCharacterStream(long pos)`
`int` `setString(long pos, String str)`
`int` `setString(long pos, String str, int offset, int len)`
`protected long` `streamLength(boolean forceMaterialize)`
`void` `truncate(long len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Clob

`free, length, truncate`

### Field Detail

#### service

    protected final ClientService service

#### lobId

    protected final int lobId

#### finalizer

    protected ClientFinalizer finalizer

#### streamedInput

    protected boolean streamedInput

#### streamOffset

    protected long streamOffset

#### length

    protected long length

### Method Detail

#### streamLength

    protected long streamLength(boolean forceMaterialize)
                         throws SQLException

Throws:
  `SQLException`

#### clear

    protected void clear()

#### getSubString

    public String getSubString(long pos,
                      int length)
                        throws SQLException

Specified by:
  `getSubString` in interface `Clob`
Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream()
                              throws SQLException

Specified by:
  `getCharacterStream` in interface `Clob`
Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream(long pos,
                            long length)
                              throws SQLException

Specified by:
  `getCharacterStream` in interface `Clob`
Throws:
  `SQLException`

#### getAsciiStream

    public InputStream getAsciiStream()
                               throws SQLException

Specified by:
  `getAsciiStream` in interface `Clob`
Throws:
  `SQLException`

#### position

    public long position(String searchstr,
                long start)
                  throws SQLException

Specified by:
  `position` in interface `Clob`
Throws:
  `SQLException`

#### position

    public long position(Clob searchstr,
                long start)
                  throws SQLException

Specified by:
  `position` in interface `Clob`
Throws:
  `SQLException`

#### setString

    public int setString(long pos,
                String str)
                  throws SQLException

Specified by:
  `setString` in interface `Clob`
Throws:
  `SQLException`

#### setString

    public int setString(long pos,
                String str,
                int offset,
                int len)
                  throws SQLException

Specified by:
  `setString` in interface `Clob`
Throws:
  `SQLException`

#### setAsciiStream

    public OutputStream setAsciiStream(long pos)
                                throws SQLException

Specified by:
  `setAsciiStream` in interface `Clob`
Throws:
  `SQLException`

#### setCharacterStream

    public Writer setCharacterStream(long pos)
                              throws SQLException

Specified by:
  `setCharacterStream` in interface `Clob`
Throws:
  `SQLException`

#### getLobSource

    protected final HostConnection getLobSource(boolean throwOnFailure,
                              String op)
                                         throws SQLException

Throws:
  `SQLException`

#### getLength

    protected long getLength()
                      throws SQLException

Throws:
  `SQLException`

#### length

    public final long length()
                      throws SQLException

Throws:
  `SQLException`

#### checkOffset

    protected long checkOffset(long offset,
                   long length)
                        throws SQLException

Throws:
  `SQLException`

#### truncate

    public void truncate(long len)
                  throws SQLException

Throws:
  `SQLException`

#### free

    public final void free()
                    throws SQLException

Throws:
  `SQLException`